@echo off
: -------------------------------
: if resources exist, build them
: -------------------------------
\masm32\bin\rc.exe /v rsrc.rc
\masm32\bin\cvtres.exe /machine:ix86 rsrc.res

if exist %1.obj del "LocalClock.obj"
if exist %1.exe del "LocalClock.exe"

: -----------------------------------------
: assemble Project.asm into an OBJ file
: -----------------------------------------
\masm32\bin\ml.exe /c /coff /Cp "LocalClock.asm"
if errorlevel 1 goto errasm

: --------------------------------------------------
: link the main OBJ file including the resource file
: --------------------------------------------------
\masm32\bin\link.exe /SUBSYSTEM:WINDOWS /RELEASE /INCREMENTAL:NO /OPT:NOWIN98 /OUT:LocalClock.exe LocalClock.obj rsrc.obj
if errorlevel 1 goto errlink
@del *.obj
@del *.res
dir "*.*"
goto TheEnd

:errlink
: ----------------------------------------------------
: display message if there is an error during linking
: ----------------------------------------------------
echo.
echo There has been an error while linking this project.
echo.
goto TheEnd

:errasm
: -----------------------------------------------------
: display message if there is an error during assembly
: -----------------------------------------------------
echo.
echo There has been an error while assembling this project.
echo.
goto TheEnd

:TheEnd
echo.
pause
